package com.prolog.rdc.tms.service;

import com.prolog.rdc.tms.model.dto.ApprovalInfoDTO;
import com.prolog.rdc.tms.model.vo.ApprovalVO;

/**
*  Service
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-01-17 15:01:18
*/
public interface ShipbillEventFeedbackService {

    /**
     * 审核信息查询
     * @param vo
     * @return
     */
    ApprovalInfoDTO getApprovalInfo(ApprovalVO vo);

    /**
     * 审批作废
     * @param vo
     */
    void invalidApproval(ApprovalVO vo);

    /**
     * 审批流撤回
     * @param vo
     */
    void retractApproval(ApprovalVO vo);

    /**
     * 审批流提交
     * @param vo
     */
    void submitApproval(ApprovalVO vo);

    /**
     * 审批流审核
     * @param vo
     */
    void reviewApproval(ApprovalVO vo);


}
